Rapid resume & suspend could damage laptop

Bug #1513526 reported by Biji on 2015-11-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
systemd (Ubuntu)
Undecided
Unassigned

Bug Description

I suspended my laptop when battery 15%, put it in bag, suspended at 15:58, at night (22:00) I found my laptop very hot and it seems rapidly resume & suspend.

WORKAROUND: Add in /etc/systemd/logind.conf :
HandleLidSwitch=poweroff

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: linux-image-extra-3.19.0-31-generic 3.19.0-31.36
ProcVersionSignature: Ubuntu 3.19.0-31.36-generic 3.19.8-ckt7
Uname: Linux 3.19.0-31-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.17.2-0ubuntu1.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: khad 2193 F.... pulseaudio
 /dev/snd/pcmC1D0p: khad 2193 F...m pulseaudio
 /dev/snd/controlC1: khad 2193 F.... pulseaudio
CurrentDesktop: GNOME
Date: Thu Nov 5 22:51:05 2015
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=baaa6fcc-61cf-4070-8f6a-57c140bca2bc
MachineType: LENOVO 20DCA02WIA
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-31-generic.efi.signed root=/dev/mapper/Onyx-Ubuntu15.04 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-31-generic N/A
 linux-backports-modules-3.19.0-31-generic N/A
 linux-firmware 1.143.4
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/15/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: J5ET46WW (1.17 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20DCA02WIA
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrJ5ET46WW(1.17):bd07/15/2015:svnLENOVO:pn20DCA02WIA:pvrThinkPadE450:rvnLENOVO:rn20DCA02WIA:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20DCA02WIA
dmi.product.version: ThinkPad E450
dmi.sys.vendor: LENOVO

Biji (biji) wrote :
Biji (biji) wrote :
  • syslog Edit (226.5 KiB, application/octet-stream)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.3 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-unstable/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Biji (biji) wrote :

This issue still happen in latest v4.3 kernel

One more information:
My laptop lid is closed, so that causing laptop to suspend again after acpi wake up

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bios-outdated-1.20
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Biji (biji) wrote :

Still happen, using latest bios:
J5ET49WW (1.20 )
10/22/2015

1. Suspend laptop by closing laptop lid when battery almost low (around 6%)
2. put it in bag
3. laptop will wake up again, when battery <5%
4. because lid is still closed, it will try to suspend again
5. repeat 3 rapidly

I have workaround for this case:
change HandleLidSwitch=poweroff in /etc/systemd/logind.conf
Hope this can save some laptops :)

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Biji, could you please provide the missing information from https://wiki.ubuntu.com/DebuggingKernelSuspend ?

tags: added: latest-bios-1.20
removed: bios-outdated-1.20
description: updated
tags: added: kernel-bug-exists-upstream-4.3
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers